using SWRIS.Extensions;
using System;
using System.Globalization;
using System.Windows;
using System.Windows.Data;

namespace SWRIS.Converters
{
    public class StringEmptyToVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null || !(value is string message))
            {
                return Visibility.Collapsed;
            }
            return message.IsNullOrEmpty() ? Visibility.Collapsed : Visibility.Visible;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
